Bug 164573 - tla seg faults creating repo
tla seg faults creating repo
Product: Fedora
Classification: Fedora
Component: tla (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shahms E. King
Fedora Extras Quality Assurance
Depends On: 158655
  Show dependency treegraph
Reported: 2005-07-28 16:13 EDT by James Antill
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.3.3-3.fc4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-16 12:07:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Antill 2005-07-28 16:13:10 EDT
Description of problem:
 tla will die via. SEGV/glibc-double-free when trying to create a pristine tree Ie.

tla get james@and.org--2004-code/vstr--main--1

...but I found it when it complained about my {arch}/++prinstine-tree/ and I
deleted that and it couldn't create a new one

Version-Release number of selected component (if applicable):
Version: 1.3.1
Release: 4.fix.1

How reproducible:

Additional info:
 I'm now using tla(0:1.3.2-5).i386 from FC3, and that works fine.
Comment 1 Shahms E. King 2005-07-28 16:53:49 EDT
Yes, this problem and many more are fixed in 1.3.2/1.3.3.  Sadly, tla doesn't
pass make check on PPC (meaning the build fails) and Extras won't push updates
if the build fails on any of the supported architectures (i386, x86_64, PPC).

Upstream has been less than responsive to this problem as most of the tla
developers are focused on "revc" (GNU Arch 2.0) or baz (bazaar).  I have not had
time to track down and patch the PPC problems myself so tla sits without
bugfixes for the platforms that work ...

I'm glad you've managed to work around the problem; hopefully I'll be able to
grab my friends PowerBook and investigate the PPC build problems which should
solve this problem as well.
Comment 2 Ville Skyttä 2006-02-01 17:39:35 EST
I hope this was fixed in 1.3.3-3.fc4.  Could you verify?
Comment 3 Shahms E. King 2006-02-16 12:07:43 EST
I'm closing this bug as the problem should be fixed by the current release and
there has been no response to Ville's request for more information.

Note You need to log in before you can comment on or make changes to this bug.